%define		pkg	read-package-json
Summary:	The thing npm uses to read package.json files with semantics and defaults and validation
Name:		nodejs-%{pkg}
Version:	0.3.0
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/read-package-json
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	489153828c50be587fe4bb57d5b94f76
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:   nodejs-glob >= 3.1.9
Requires:   nodejs-lru-cache >= 2.0.0
Requires:   nodejs-semver >= 1.0
Requires:   nodejs-slide >= 1.1.3
Requires:   nodejs-npmlog
Requires:   nodejs-graceful-fs >= 1.1.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The thing npm uses to read package.json files with semantics and defaults and validation.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{nodejs_libdir}/%{pkg}}
cp -a package.json read-json.js $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{nodejs_libdir}/%{pkg}
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-read-package-json.git;a=log;h=master

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> ca3fb42
up to 0.3.0

* Fri Mar 08 2013 Aria Stewart <aredridel@nbtsc.org> 63a2319
0.2.2

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> f428cf0
Add dependencies

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> a1ede84
v0.2.0

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 7cba15a
Initial commit

